summaryrefslogtreecommitdiff
path: root/dev-python/sqlglot
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-06-05 04:47:06 +0200
committerMichał Górny <mgorny@gentoo.org>2026-06-05 04:47:06 +0200
commit2157a9088b1ccfbe22863ae1e509d1c1e975a1a6 (patch)
tree4dcc923f09858d16987cc540eba4dd35c0d3323d /dev-python/sqlglot
parent0d6d506154e676d06e6c426f3c4fe1dd8b7a502c (diff)
dev-python/sqlglot: Bump to 30.9.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/sqlglot')
-rw-r--r--dev-python/sqlglot/Manifest1
-rw-r--r--dev-python/sqlglot/sqlglot-30.9.0.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 4280f194bcff..1ce79451f557 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1 +1,2 @@
DIST sqlglot-30.8.0.tar.gz 5869750 BLAKE2B c6345dc83e51eb0a20bd09743653f4103af45d8a8d11832b5c461afa3dc4be664cf7c4b3574350f1a0214e9e0dabe8cd706fa089b387d42488fff86cec2fabbf SHA512 4647e2d605d68ed424608a648d369e0dc7ffcc111c5f909bd236f8ff7c1491484f2934b177463199701fab91a5623084d50427a7e86b88a8dd66675f38fa39c3
+DIST sqlglot-30.9.0.tar.gz 5885862 BLAKE2B abd5bc1bf439badf4e78918194cb114109305157beebf6b57d7e202b665c5cbf2654273f6385da4090db19035e257cd1e69bcb52be808d6293d262d337276f70 SHA512 cda40e226b40fc31ea126889529cf21074b509d2b17f0d7d2e9f60e0dc98aa24d23c133c1ef6f4d08e9aebef824bebf8ff6690d5018f1c7d8644274b7a7a0b15
diff --git a/dev-python/sqlglot/sqlglot-30.9.0.ebuild b/dev-python/sqlglot/sqlglot-30.9.0.ebuild
new file mode 100644
index 000000000000..664549d12560
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-30.9.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# Native extensions removed: it uses mypyc which is incredibly slow
+# and then the extension crashes anyway. Upstream uses their own mypy
+# fork which might help but that's just insane.
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ rm -rf sqlglot || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}